## percona-server-8.0.15-6.tar.gz

=== plugin/keyring_vault/CMakeLists.txt ===

# keyring_vault mtr suite is a default suite and must be installed always,
# regardless if the keyring_vault plugin is built and installed or not.
IF(WITH_KEYRING_VAULT_TEST)
  ADD_SUBDIRECTORY(keyring_vault-test)
ENDIF()

IF(INSTALL_MYSQLTESTDIR)
  INSTALL(DIRECTORY tests/mtr/ DESTINATION ${INSTALL_MYSQLTESTDIR}/suite/keyring_vault COMPONENT Test)
ENDIF()

IF (NOT DEFINED WITH_KEYRING_VAULT)
  SET (WITH_KEYRING_VAULT 1)
ENDIF()
IF (NOT WITH_KEYRING_VAULT)
  MESSAGE (STATUS "Not building keyring_vault plugin")
  RETURN()
ENDIF()

INCLUDE(CheckFunctionExists)
INCLUDE(curl)

SET(CMAKE_EXTRA_INCLUDE_FILES string.h)
SET(CMAKE_EXTRA_INCLUDE_FILES)

MACRO (CHECK_IF_LIB_FOUND lib_name project_name status_mode)
  SET (lib_found_variable_name "${lib_name}_FOUND")
  IF (NOT DEFINED ${lib_found_variable_name} OR NOT ${${lib_found_variable_name}})
    message(${status_mode} "Not building ${project_name}, could not find library: ${lib_name}")
    RETURN()
  ENDIF()
ENDMACRO()

CHECK_IF_LIB_FOUND(CURL "keyring_vault" FATAL_ERROR)
MESSAGE (STATUS "Building keyring_vault plugin")

ADD_DEFINITIONS(-DLOG_COMPONENT_TAG="keyring_vault")

INCLUDE_DIRECTORIES(SYSTEM ${BOOST_PATCHES_DIR} ${BOOST_INCLUDE_DIR} ${CURL_INCLUDE_DIRS})

MYSQL_ADD_PLUGIN(keyring_vault
                 ${CMAKE_SOURCE_DIR}/plugin/keyring/common/keyring_key.cc
                 ${CMAKE_SOURCE_DIR}/plugin/keyring/common/keys_container.cc
                 ${CMAKE_SOURCE_DIR}/plugin/keyring/common/keys_iterator.cc
                 ${CMAKE_SOURCE_DIR}/plugin/keyring/common/keyring_impl.cc
                 ${CMAKE_SOURCE_DIR}/plugin/keyring/file_io.cc
                 ${CMAKE_SOURCE_DIR}/plugin/keyring/common/system_key_adapter.cc
                 ${CMAKE_SOURCE_DIR}/plugin/keyring/common/system_keys_container.cc
                 vault_io.cc
                 vault_key.cc
                 vault_base64.cc
                 vault_parser.cc
                 vault_keys_list.cc
                 vault_keys_container.cc
                 vault_curl.cc
                 vault_credentials_parser.cc
                 vault_credentials.cc
                 vault_keyring.cc
                 LINK_LIBRARIES ${CURL_LIBRARY} ${SSL_LIBRARIES}
                 MODULE_ONLY
                 MODULE_OUTPUT_NAME "keyring_vault")

# We limit symbols exported on Linux to only those required by server.
IF(LINK_FLAG_NO_UNDEFINED)
  GET_PROPERTY(keyring_vault_link_flags TARGET keyring_vault PROPERTY LINK_FLAGS)
  SET_PROPERTY(TARGET keyring_vault PROPERTY LINK_FLAGS "${keyring_vault_link_flags} -Wl,--version-script=${CMAKE_SOURCE_DIR}/plugin/keyring_vault/keyring_vault.version")
ENDIF()

=== unittest/gunit/keyring_vault/CMakeLists.txt ===
INCLUDE(curl)

IF (NOT DEFINED WITH_KEYRING_VAULT)
  SET (WITH_KEYRING_VAULT 1)
ENDIF()
IF(NOT GMOCK_FOUND OR NOT WITH_KEYRING_VAULT)
    MESSAGE (STATUS "Not building keyring_vault unit tests")
    RETURN()
ENDIF()

CHECK_IF_LIB_FOUND(CURL "keyring_vault unit tests" FATAL_ERROR)
CHECK_IF_CURL_DEPENDS_ON_RTMP("keyring_vault unit tests")

message(STATUS "Building keyring_vault unittests")

ADD_DEFINITIONS(-DLOG_COMPONENT_TAG="keyring_vault")

INCLUDE_DIRECTORIES(SYSTEM
        ${GMOCK_INCLUDE_DIRS}
        SYSTEM ${BOOST_INCLUDE_DIR}
        SYSTEM ${CURL_INCLUDE_DIRS}
        ${BOOST_PATCHES_DIR})

INCLUDE_DIRECTORIES(
        ${CMAKE_SOURCE_DIR}/include
        ${CMAKE_SOURCE_DIR}/sql
        ${CMAKE_SOURCE_DIR}/plugin/keyring/common
        ${CMAKE_SOURCE_DIR}/plugin/keyring
        ${CMAKE_SOURCE_DIR}/plugin/keyring_vault
        ${CMAKE_SOURCE_DIR}/unittest/gunit
        ${CMAKE_SOURCE_DIR}/unittest/gunit/keyring
)

SET(TESTS
    vault_io
    vault_parser
    vault_credentials_parser
    vault_keys_container
    vault_keyring-api
)

SET(SRC_FILES)
LIST(APPEND SRC_FILES
  ${CMAKE_SOURCE_DIR}/plugin/keyring/common/keyring_key.cc
  ${CMAKE_SOURCE_DIR}/plugin/keyring/common/keys_container.cc
  ${CMAKE_SOURCE_DIR}/plugin/keyring/common/keys_iterator.cc
  ${CMAKE_SOURCE_DIR}/plugin/keyring/common/system_keys_container.cc
  ${CMAKE_SOURCE_DIR}/plugin/keyring/common/system_key_adapter.cc
  ${CMAKE_SOURCE_DIR}/plugin/keyring_vault/vault_keys_list.cc
  ${CMAKE_SOURCE_DIR}/plugin/keyring_vault/vault_key.cc
  ${CMAKE_SOURCE_DIR}/plugin/keyring_vault/vault_io.cc
  ${CMAKE_SOURCE_DIR}/plugin/keyring_vault/vault_base64.cc
  ${CMAKE_SOURCE_DIR}/plugin/keyring_vault/vault_curl.cc
  ${CMAKE_SOURCE_DIR}/plugin/keyring_vault/vault_parser.cc
  ${CMAKE_SOURCE_DIR}/plugin/keyring_vault/vault_credentials.cc
  ${CMAKE_SOURCE_DIR}/plugin/keyring_vault/vault_credentials_parser.cc
  ${CMAKE_SOURCE_DIR}/plugin/keyring_vault/vault_keys_container.cc
  ${CMAKE_SOURCE_DIR}/plugin/keyring/file_io.cc
  ${CMAKE_SOURCE_DIR}/unittest/gunit/keyring_vault/vault_mount.cc
  ${CMAKE_SOURCE_DIR}/unittest/gunit/keyring_vault/uuid.cc
)

IF (NOT MERGE_UNITTESTS)
  LIST(APPEND SRC_FILES
    ${CMAKE_SOURCE_DIR}/unittest/gunit/keyring/psi_memory_key.cc
  )
ENDIF(NOT MERGE_UNITTESTS)

ADD_LIBRARY(keyring_vault_test STATIC ${SRC_FILES})
ADD_DEPENDENCIES(keyring_vault_test GenError)

SET(ALL_KEYRING_VAULT_TESTS)
FOREACH(test ${TESTS})
  LIST(APPEND ALL_KEYRING_VAULT_TESTS ${test}-t.cc)
ENDFOREACH()

IF (MERGE_UNITTESTS)

  ADD_DEFINITIONS(-DMERGE_UNITTESTS)

  MYSQL_ADD_EXECUTABLE(merge_keyring_vault_tests-t
    ${ALL_KEYRING_VAULT_TESTS} ADD_TEST merge_keyring_vault_tests)
  TARGET_LINK_LIBRARIES(merge_keyring_vault_tests-t keyring_vault_test)

  TARGET_LINK_LIBRARIES(merge_keyring_vault_tests-t
    gunit_large strings dbug regex mysys sql_main sql_gis sql_dd)
  TARGET_LINK_LIBRARIES(merge_keyring_vault_tests-t
    sql_main binlog rpl master slave sql_gis sql_dd sql_main)
  TARGET_LINK_LIBRARIES(merge_keyring_vault_tests-t ${CURL_LIBRARY} ${SSL_LIBRARIES})
  TARGET_LINK_LIBRARIES(merge_keyring_vault_tests-t ${ICU_LIBRARIES})

  IF(WITH_PERFSCHEMA_STORAGE_ENGINE)
    TARGET_LINK_LIBRARIES(merge_keyring_vault_tests-t perfschema)
  ENDIF()
  ADD_DEPENDENCIES(merge_keyring_vault_tests-t GenError)

ELSE(MERGE_UNITTESTS)

  FOREACH(test ${TESTS})
    MYSQL_ADD_EXECUTABLE(${test}-t ${test}-t.cc SKIP_INSTALL)

  TARGET_LINK_LIBRARIES(${test}-t keyring_vault_test)
  TARGET_LINK_LIBRARIES(${test}-t
    gunit_large strings dbug regex mysys sql_main sql_gis sql_dd)
  TARGET_LINK_LIBRARIES(${test}-t
    sql_main binlog rpl master slave sql_main sql_gis sql_dd)
  TARGET_LINK_LIBRARIES(${test}-t ${CURL_LIBRARY} ${SSL_LIBRARIES})
  TARGET_LINK_LIBRARIES(${test}-t ${ICU_LIBRARIES})


    IF(WITH_PERFSCHEMA_STORAGE_ENGINE)
        TARGET_LINK_LIBRARIES(${test}-t perfschema)
    ENDIF()

    ADD_TEST(${test} ${CMAKE_BINARY_DIR}/runtime_output_directory/${test}-t)
  ENDFOREACH()

ENDIF(MERGE_UNITTESTS)

=== build-ps/debian/control ===
Source: percona-server
Section: database
Priority: extra
Maintainer: Percona Server Development Team <mysql-dev@percona.com>
Uploaders: George Lorch <george.lorch@percona.com>,
           Tomislav Plavcic <tomislav.plavcic@percona.com>
Build-Depends: bison,
               cmake,
               debhelper (>= 9.0.0),
               fakeroot,
               libaio-dev[linux-any],
               libmecab-dev,
               libncurses5-dev (>= 5.0-6),
               lsb-release,
               perl,
               po-debconf,
               psmisc,
               zlib1g-dev (>= 1:1.1.3-5),
               libreadline-dev,
               libpam-dev,
               libssl-dev,
               libnuma-dev,
               gcc (>= 4.4),
               g++ (>= 4.4),
               libwrap0-dev,
               libcurl4-openssl-dev,
               libldap2-dev
Standards-Version: 3.9.4
Homepage: http://www.percona.com/software/percona-server/
Vcs-Git: git://github.com/percona/percona-server.git -b 8.0

Package: percona-server-tokudb
Section: database
Architecture: any
Depends: percona-server-server (= ${binary:Version}), libjemalloc1 (>= 3.3.0), ${misc:Depends}
Breaks: percona-server-tokudb-5.6, percona-server-tokudb-5.7
Replaces: percona-server-tokudb-5.6, percona-server-tokudb-5.7
Description: TokuDB engine plugin for Percona Server
 .
 TokuDB is a storage engine for MySQL and MariaDB that is specifically
 designed for high performance on write-intensive workloads. It achieves
 this via Fractal Tree indexing. TokuDB is a scalable, ACID and MVCC compliant
 storage engine that provides indexing-based query improvements, offers online
 schema modifications, and reduces slave lag for both hard disk drives and flash memory.
 .
 This package includes the TokuDB plugin library.

Package: percona-server-rocksdb
Section: database
Architecture: any
Depends: percona-server-server (= ${binary:Version}), ${misc:Depends}
Breaks: percona-server-rocksdb-5.7
Replaces: percona-server-rocksdb-5.7
Description: MyRocks storage engine plugin for Percona Server
 .
 MyRocks is a storage engine for Percona Server which incorporates RocksDB
 library optimized for fast storage and space efficiency.
 .
 This package includes the MyRocks/RocksDB plugin library.

Package: libperconaserverclient21
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Depends: percona-server-common (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Replaces: libpercona-server-client16, libperconaserverclient18, libperconaserverclient18.1, libperconaserverclient20
Description: Percona Server database client library
 Percona Server is a fast, stable and true multi-user, 
 multi-threaded SQL database server. SQL (Structured Query Language) 
 is the most popular database query language in the world. The main 
 goals of Percona Server are speed, robustness and ease of use.
 .
 This package includes the client library.

Package: libperconaserverclient21-dev
Architecture: any
Section: libdevel
Depends: libperconaserverclient21 (= ${binary:Version}),
         zlib1g-dev, ${misc:Depends}
Breaks: libperconaserverclient20-dev,
        libperconaserverclient18.1-dev,
        libperconaserverclient18-dev,
        libperconaserverclient16-dev,
        libperconaserverclient15-dev,
        libperconaserverclient14-dev,
        libperconaserverclient12-dev,
        libperconaserverclient10-dev,
        libmysqlclient-dev,
        libmysqlclient18-dev,
        libmysqlclient20-dev,
        libmariadbclient-dev
Replaces: libperconaserverclient20-dev,
          libperconaserverclient18.1-dev,
          libperconaserverclient18-dev,
          libperconaserverclient16-dev,
          libperconaserverclient15-dev,
          libperconaserverclient14-dev,
          libperconaserverclient12-dev,
          libperconaserverclient10-dev,
          libpercona-xtradb-client-dev,
          libmariadbclient-dev
Provides: libmysqlclient-dev
Description: Percona Server database development files
 Percona Server is a fast, stable and true multi-user, multi-threaded SQL 
 database server. SQL (Structured Query Language) is the most popular 
 database query language in the world. The main goals of Percona Server are 
 speed, robustness and ease of use.
 .
 This package includes development libraries and header files.

Package: percona-server-common
Section: database
Architecture: any
Pre-depends: debconf (>= 0.2.17), debsums, ${misc:Pre-Depends}
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: percona-server-common-5.7
Provides: mysql-common
Replaces: mysql-common, percona-server-common-5.7
Description: Percona Server database common files (e.g. /etc/mysql/my.cnf)
 Percona Server is a fast, stable and true multi-user, multi-threaded SQL
 database server. SQL (Structured Query Language) is the most popular database
 query language in the world. The main goals of Percona Server are speed, 
 robustness and ease of use.
 .
 This package includes files needed by all versions of the client library
 (e.g. /etc/mysql/my.cnf).

Package: percona-server-client
Architecture: any
Depends: percona-server-common (= ${binary:Version}),
         ${shlibs:Depends}, ${misc:Depends}
Provides: mysql-client,
          virtual-mysql-client, virtual-mysql-client-core,
          mysql-client-8.0, mysql-client-core-8.0
Breaks: mysql-client-5.0,
        mysql-client-core-5.1,
        mysql-client-core-5.5,
        mysql-client-core-5.6,
        mysql-client-core-8.0,
        mysql-client-5.1,
        mysql-client-5.5,
        mysql-client-5.6,
        mysql-client-8.0,
        percona-xtradb-client-5.0,
        percona-server-client-5.1,
        percona-server-client-5.5,
        percona-server-client-5.6,
        percona-server-client-5.7,
        mariadb-client,
        mariadb-client-core-5.5,
        mariadb-client-5.5,
        virtual-mysql-client,
        virtual-mysql-client-core
Replaces: mysql-client-5.0,
           mysql-client-core-5.1,
           mysql-client-core-5.5,
           mysql-client-core-5.6,
           mysql-client-core-5.7,
           mysql-client-core-8.0,
           mysql-client-5.1,
           mysql-client-5.5,
           mysql-client-5.6,
           mysql-client-5.7,
           mysql-client-8.0,
           percona-xtradb-client-5.0,
           percona-server-client-5.1,
           percona-server-client-5.5,
           percona-server-client-5.6,
           percona-server-client-5.7,
           mariadb-client,
           mariadb-client-core-5.5,
           mariadb-client-5.5,
           virtual-mysql-client,
           virtual-mysql-client-core
Conflicts: percona-server-client (< 8.0.12)
Description: Percona Server database client binaries
 Percona Server is a fast, stable and true multi-user, multi-threaded SQL
 database server. SQL (Structured Query Language) is the most popular database
 query language in the world. The main goals of Percona Server are speed,
 robustness and ease of use.
 .
 This package includes the client binaries.

Package: percona-server-server
Architecture: any
Pre-Depends: percona-server-common (= ${binary:Version}),
             adduser,
             debconf (>= 0.2.17)
Depends: percona-server-client (= ${binary:Version}),
         ${shlibs:Depends}, ${misc:Depends},
         psmisc
Provides: mysql-server,
          virtual-mysql-server, virtual-mysql-server-core,
          mysql-server-8.0, mysql-server-core-8.0, mysql-community-server-core
Breaks: mysql-server-5.0,
        mysql-server-5.1,
        mysql-server-5.5,
        mysql-server-5.6,
        mysql-server-8.0,
        mysql-server-core-5.1,
        mysql-server-core-5.5,
        mysql-server-core-5.6,
        mysql-server-core-8.0,
        mysql-community-server-core,
        percona-xtradb-server-5.0,
        percona-server-server-5.1,
        percona-server-server-5.5,
        percona-server-server-5.6,
        percona-server-server-5.7,
        mariadb-server,
        mariadb-server-core-5.5,
        mariadb-server-5.5,
        virtual-mysql-server,
        virtual-mysql-server-core
Replaces: mysql-server-5.0,
          mysql-server-5.1,
          mysql-server-5.5,
          mysql-server-5.6,
          mysql-server-5.7,
          mysql-server-8.0,
          mysql-server-core-5.1,
          mysql-server-core-5.5,
          mysql-server-core-5.6,
          mysql-server-core-5.7,
          mysql-server-core-8.0,
          mysql-community-server-core,
          percona-xtradb-server-5.0,
          percona-server-server-5.1,
          percona-server-server-5.5,
          percona-server-server-5.6,
          percona-server-server-5.7,
          mariadb-server,
          mariadb-server-core-5.5,
          mariadb-server-5.5,
          virtual-mysql-server,
          virtual-mysql-server-core
Conflicts: percona-server-server (< 8.0.12)
Description: Percona Server database server binaries
 Percona Server is a fast, stable and true multi-user, multi-threaded SQL
 database server. SQL (Structured Query Language) is the most popular database
 query language in the world. The main goals of Percona Server are speed,
 robustness and ease of use.
 .
 This package includes the server binaries.

Package: percona-server-test
Architecture: any
Depends: percona-server-client (= ${binary:Version}),
         percona-server-server (= ${binary:Version}),
         libperconaserverclient21-dev (= ${binary:Version}),
         perl, python, ${misc:Depends}, ${shlibs:Depends}
Replaces: percona-server-server, percona-server-client
Description: Percona Server database test suite
 Percona Server is a fast, stable and true multi-user, multi-threaded SQL
 database server. SQL (Structured Query Language) is the most popular database
 query language in the world. The main goals of Percona Server are speed,
 robustness and ease of use.
 .
 This package includes the Percona Server test framework that provides 
 a means for verifying that Percona Server and its client programs 
 operate according to expectations

Package: percona-server-source
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Percona Server 8.0 source
 This package includes the source code to Percona Server as configured before
 building.

Package: percona-server-dbg
Architecture: any
Section: debug
Depends: percona-server-server (= ${binary:Version}), ${misc:Depends}
Description: Debugging package for Percona Server
 Percona Server is a fast, stable and true multi-user, multi-threaded SQL
 database server. SQL (Structured Query Language) is the most popular database
 query language in the world. The main goals of Percona Server are speed,
 robustness and ease of use.
 .
 This package contains the debugging symbols for the Percona Server binaries.

Package: percona-mysql-router
Architecture: any
Description: Percona MySQL Router
Depends: ${shlibs:Depends}, ${misc:Depends}

Package: percona-mysql-router-dev
Architecture: any
Description: Percona MySQL Router development files
Depends: ${shlibs:Depends}, ${misc:Depends}

=== build-ps/debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

export DH_VERBOSE=1
export CFLAGS=
export CXXFLAGS=

PACKAGE=percona-server
PS_VERSION_EXTRA = '6'
REVISION = '63abd08'
COMPILATION_COMMENT_RELEASE = "Percona Server (GPL), Release $(PS_VERSION_EXTRA), Revision $(REVISION)"
COMPILATION_COMMENT_DEBUG = "Percona Server - Debug (GPL), Release $(PS_VERSION_EXTRA), Revision $(REVISION)"
TOKUDB_BACKUP_VERSION = ""

TMP=$(CURDIR)/debian/tmp/
TMPD=$(CURDIR)/debian/tmp-debug/
prefix=/usr

ARCH = $(shell dpkg-architecture -qDEB_BUILD_ARCH)
ARCH_OS = $(shell dpkg-architecture -qDEB_BUILD_ARCH_OS)
NCPU = $(shell grep -c processor /proc/cpuinfo)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

DEB_SOURCE_PACKAGE ?= $(strip $(shell egrep '^Source: ' debian/control | cut -f 2 -d ':'))
DEB_VERSION ?= $(shell dpkg-parsechangelog | egrep '^Version:' | cut -f 2 -d ' ')
DEB_NOEPOCH_VERSION ?= $(shell echo $(DEB_VERSION) | cut -d: -f2-)
DEB_UPSTREAM_VERSION ?= $(shell echo $(DEB_NOEPOCH_VERSION) | sed 's/-[^-]*$$//')
DEB_UPSTREAM_VERSION_MAJOR_MINOR := $(shell echo $(DEB_UPSTREAM_VERSION) | sed -r -n 's/^([0-9]+\.[0-9]+).*/\1/p')
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

TOKUDB_OPTS_DEFAULT ?= -DWITH_VALGRIND=OFF -DUSE_VALGRIND=OFF -DDEBUG_EXTNAME=OFF -DBUILD_TESTING=OFF -DUSE_GTAGS=OFF -DUSE_CTAGS=OFF -DUSE_ETAGS=OFF -DUSE_CSCOPE=OFF -DTOKUDB_BACKUP_PLUGIN_VERSION=$(TOKUDB_BACKUP_VERSION)
TOKUDB_OPTS_RELEASE ?= $(TOKUDB_OPTS_DEFAULT) -DTOKU_DEBUG_PARANOID=OFF
TOKUDB_OPTS_DEBUG ?= $(TOKUDB_OPTS_DEFAULT) -DTOKU_DEBUG_PARANOID=ON

EXPORTED_SOURCE_TARBALL = debian/percona-server-source.tar.gz

DISTRIBUTION = $(shell lsb_release -i -s)
DISTRELEASE = $(shell lsb_release -c -s)

MYSQL_SRC = $(shell pwd)

builddir = builddir
builddebug = debug

override_dh_auto_configure:
	@echo "RULES.$@"

ifeq ($(SKIP_DEBUG_BINARY),)
	( test -d $(builddebug) || mkdir $(builddebug) ) && cd $(builddebug) && \
	    cmake -DBUILD_CONFIG=mysql_release \
		-DCMAKE_INSTALL_PREFIX=/usr \
		-DINSTALL_DOCDIR=share/mysql/docs \
		-DINSTALL_DOCREADMEDIR=share/mysql \
		-DINSTALL_INCLUDEDIR=include/mysql \
		-DINSTALL_INFODIR=share/mysql/docs \
		-DINSTALL_LIBDIR=lib/$(DEB_HOST_MULTIARCH) \
		-DINSTALL_MANDIR=share/man \
		-DINSTALL_MYSQLSHAREDIR=share/mysql \
		-DINSTALL_MYSQLTESTDIR=lib/mysql-test \
		-DINSTALL_PLUGINDIR=lib/mysql/plugin/debug \
		-DROUTER_INSTALL_PLUGINDIR=lib/mysqlrouter/plugin \
		-DINSTALL_SBINDIR=sbin \
		-DINSTALL_SCRIPTDIR=bin \
		-DINSTALL_SUPPORTFILESDIR=share/mysql \
		-DSYSCONFDIR=/etc/mysql \
		-DMYSQL_UNIX_ADDR=/var/run/mysqld/mysqld.sock \
		-DCMAKE_BUILD_TYPE=Debug \
		-DCOMPILATION_COMMENT=$(COMPILATION_COMMENT_DEBUG) \
		-DSYSTEM_TYPE="debian-linux-gnu" \
		-DINSTALL_LAYOUT=DEB \
		-DWITH_INNODB_MEMCACHED=ON \
		-DWITH_MECAB=system \
		-DWITH_ARCHIVE_STORAGE_ENGINE=ON \
		-DWITH_BLACKHOLE_STORAGE_ENGINE=ON \
		-DWITH_FEDERATED_STORAGE_ENGINE=ON \
		-DWITH_PAM=ON \
		-DWITH_ROCKSDB=ON \
		-DFORCE_INSOURCE_BUILD=1 \
		-DDOWNLOAD_BOOST=1 \
		-DWITH_BOOST=libboost \
		-DWITH_SYSTEM_LIBS=ON \
                -DWITH_PROTOBUF=bundled \
                -DWITH_RAPIDJSON=bundled \
                -DWITH_ICU=bundled \
                -DWITH_LZ4=bundled \
                -DWITH_EDITLINE=bundled \
                -DWITH_NUMA=ON \
		-DWITH_EXTRA_CHARSETS=all $(TOKUDB_OPTS_DEBUG) ..
endif

	( test -d $(builddir) || mkdir $(builddir) ) && cd $(builddir) && \
	    cmake -DBUILD_CONFIG=mysql_release \
		-DCMAKE_INSTALL_PREFIX=/usr \
		-DINSTALL_DOCDIR=share/mysql/docs \
		-DINSTALL_DOCREADMEDIR=share/mysql \
		-DINSTALL_INCLUDEDIR=include/mysql \
		-DINSTALL_INFODIR=share/mysql/docs \
		-DINSTALL_LIBDIR=lib/$(DEB_HOST_MULTIARCH) \
		-DINSTALL_MANDIR=share/man \
		-DINSTALL_MYSQLSHAREDIR=share/mysql \
		-DINSTALL_MYSQLTESTDIR=lib/mysql-test \
		-DINSTALL_PLUGINDIR=lib/mysql/plugin \
		-DROUTER_INSTALL_PLUGINDIR=lib/mysqlrouter/plugin \
		-DINSTALL_SBINDIR=sbin \
		-DINSTALL_SCRIPTDIR=bin \
		-DINSTALL_SUPPORTFILESDIR=share/mysql \
		-DSYSCONFDIR=/etc/mysql \
		-DMYSQL_UNIX_ADDR=/var/run/mysqld/mysqld.sock \
		-DCMAKE_BUILD_TYPE=RelWithDebInfo \
		-DCOMPILATION_COMMENT=$(COMPILATION_COMMENT_RELEASE) \
		-DSYSTEM_TYPE="debian-linux-gnu" \
		-DINSTALL_LAYOUT=DEB \
		-DWITH_INNODB_MEMCACHED=ON \
		-DFORCE_INSOURCE_BUILD=1 \
		-DWITH_MECAB=system \
		-DWITH_ARCHIVE_STORAGE_ENGINE=ON \
		-DWITH_BLACKHOLE_STORAGE_ENGINE=ON \
		-DWITH_FEDERATED_STORAGE_ENGINE=ON \
		-DWITH_PAM=ON \
		-DWITH_ROCKSDB=ON \
		-DDOWNLOAD_BOOST=1 \
		-DWITH_BOOST=libboost \
		-DWITH_SYSTEM_LIBS=ON \
                -DWITH_PROTOBUF=bundled \
                -DWITH_RAPIDJSON=bundled \
                -DWITH_ICU=bundled \
                -DWITH_LZ4=bundled \
                -DWITH_EDITLINE=bundled \
                -DWITH_NUMA=ON \
		-DWITH_EXTRA_CHARSETS=all $(TOKUDB_OPTS_RELEASE) ..

	touch $@

override_dh_auto_build:
	@echo "RULES.$@"
	
	[ -f $(EXPORTED_SOURCE_TARBALL) ] || tar -zcf $(EXPORTED_SOURCE_TARBALL) \
	--exclude=debian . \
	--transform="s,^\./,percona-server/,"

ifeq ($(SKIP_DEBUG_BINARY),)
	cd $(builddebug) && $(MAKE) -j$(NCPU)
endif

	cd $(builddir) && $(MAKE) -j$(NCPU) VERBOSE=1

	touch $@

override_dh_auto_install:
	@echo "RULES.$@"

	# complete install first
	(cd $(builddebug) && $(MAKE) install DESTDIR=$(TMPD)/)
	(cd $(builddir) && $(MAKE) install DESTDIR=$(TMP)/)

	# add Percona Server configuration file my.cnf to mysql-common package
	#install -g root -o root -m 0644 -D debian/extra/my.cnf $(TMP)/etc/mysql/my.cnf

	# add MySQL Server debug binary and library to package
	#install -g root -o root -m 0755 debian/extra/server-binary $(TMP)/usr/sbin/mysqld-debug

	# add systemd script
	install -m 0755 debian/extra/mysql-systemd-start $(TMP)/usr/share/mysql/

	# install default file for init script timeout params
	install -d $(TMP)/etc/default
	install -m 0644 debian/extra/default-mysql $(TMP)/etc/default/mysql
        # Add helper functions for maintainer scripts
	install -m 0644 debian/extra/mysql-helpers debian/tmp/usr/share/mysql/


	# install source tarball for source package
	install -D -m 0644 $(EXPORTED_SOURCE_TARBALL) $(TMP)/usr/src/percona-server/`basename $(EXPORTED_SOURCE_TARBALL)`

override_dh_strip:
	dh_strip --dbg-package=percona-server-dbg

override_dh_installinit:
	@echo "RULES.$@"
	if [ "$(DISTRELEASE)" != "precise" -a "$(DISTRELEASE)" != "trusty" -a "$(DISTRELEASE)" != "wheezy" ]; then dh_systemd_enable --name=mysql; fi
	dh_installinit --name=mysql -- defaults 19 21
	dh_installinit --name=mysqlrouter -- defaults 19 21
	if [ "$(DISTRELEASE)" != "precise" -a "$(DISTRELEASE)" != "trusty" -a "$(DISTRELEASE)" != "wheezy" ]; then dh_systemd_start --restart-after-upgrade; fi
	touch $@
